datablock AudioProfile(dootSound)
{
	filename	 = "./doot.wav";
	description = AudioClose3d;
	preload = true;
};


//////////
// item //
//////////
datablock ItemData(BulgeItem)
{
	category = "Weapon";  // Mission editor category
	className = "Weapon"; // For inventory system

	 // Basic Item Properties
	shapeFile = "./bugle.dts";
	rotate = false;
	mass = 1;
	density = 0.2;
	elasticity = 0.2;
	friction = 0.6;
	emap = true;

	//gui stuff
	uiName = "Bugle";
	iconName = "./bugle";
	doColorShift = true;
	colorShiftColor = "0.8 0.418 0.15 1.000";

	 // Dynamic properties defined by the scripts
	image = BulgeImage;
	canDrop = true;
};

////////////////
//weapon image//
////////////////
datablock ShapeBaseImageData(BulgeImage)
{
	// Basic Item properties
	shapeFile = "./bugle.dts";
	emap = true;

	mountPoint = 0;
	offset = "0 0 0";
	eyeOffset = 0;
	rotation = eulerToMatrix( "0 0 0" );

	className = "WeaponImage";

	// Projectile && Ammo.
	item = BulgeItem;

	armReady = true;

	doColorShift = true;
	colorShiftColor = BulgeItem.colorShiftColor;//"0.400 0.196 0 1.000";

	stateName[0]						= "Activate";
	stateTimeoutValue[0]				= 0.15;
	stateTransitionOnTimeout[0]		 	= "Ready";
	stateSound[0]						= weaponSwitchSound;

	stateName[1]						= "Ready";
	stateTransitionOnTriggerDown[1]  	= "Fire";
	stateAllowImageChange[1]			= true;
	stateSequence[1]					= "Ready";

	stateName[2]						= "Fire";
	stateTransitionOnTimeout[2]	  		= "Reload";
	stateTimeoutValue[2]				= 0.14;
	stateAllowImageChange[2]			= false;
	stateScript[2]						= "onFire";
	stateWaitForTimeout[2]				= true;
	stateSound[2]						= dootSound;

	stateName[3]						= "Reload";
	stateTransitionOnTriggerUp[3]		= "Ready";

};

function BulgeImage::onFire(%this,%obj,%slot)
{
	%obj.playThread(2, plant);
}
